# Algorithms_in_C++: operations_on_datastructures::inorder_traversal_of_bst::Node Class Reference

Loading...
Searching...
No Matches
operations_on_datastructures::inorder_traversal_of_bst::Node Class Reference

A Node structure representing a single node in BST. More...

Collaboration diagram for operations_on_datastructures::inorder_traversal_of_bst::Node:
[legend]

## Public Attributes

int64_t | data
| The key/value of the node.
Node * | left
| Pointer to Left child.
Node * | right
| Pointer to right child.

## Detailed Description

A Node structure representing a single node in BST.

The documentation for this class was generated from the following file:

- operations_on_datastructures/inorder_successor_of_bst.cpp